Redmine - Defect #10206

Revision graph height does not change when window size changes

2012-02-12 01:24 - Toshi MARUYAMA

Status: Closed
Priority: Normal
Assignee:

Category: SCM

Target version:

Resolution: Fixed

Start date:
Due date:
% Done:

Estimated time:

Affected version:

0%
0.00 hour

Description

This is Mercurial repository revision graph.
http://selenic.com/repo/hg

Latest revisions

#

.

P
3 h

Date

pdefault 16109:cb756482c1aa @ 02/11/2012 08:09 am
bstabl 16108:f7e0d95d0a00 C© @ 02/11/2012 07:52 am

16107:a3dcc590584ca O O 02/11/2012 07:09 am
16106:d758a756149b O O 02/11/2012 06:34 am
16105:ebaalaa74%2 O O 02/11/2012 06:25 am

16104:5535e66b3016 O O 02/10/2012 09:50 pm
16103:3elefbd58e8b O O 02/10/2012 10:46 pm

Associated revisions

Revision 8866 - 2012-02-13 21:20 - Etienne Massip

Redraw revision graph on window resize (#10206).

History

#1 - 2012-02-13 10:21 - Etienne Massip

It'll end with a Event.observe(window, 'resize', ...), | guess.

Does every resizing needs a redraw?

#2 - 2012-02-14 07:36 - Etienne Massip

- Resolution set to Fixed

Seeing all revisions, redrawing on resize seems to be:

® a bit painful for IE 9 which triggers multiple events even on simple maximize/minimize window

¢ almost smooth for FF 10 but it still takes a little time to redraw the graph
¢ perfectly smooth on Chrome 17, | was wondering if it actually redrew the graph and it did
http://selenic.com/repo/hg

A quick try to debounce was not very convincing...

Seems still very usable, what do you think Toshi?

#3 - 2012-02-15 05:54 - Toshi MARUYAMA

- Status changed from New to Closed

| confirmed r8868 works fine on IE9 and Chrome 17.0.963.46 m on Windows.
